<?php
namespace app\mobile\controller;
use think\Request;
class Wangtong extends MobileBase {
                                                                                                                                            
    /**
     * 方法描述：商户接收成功支付结果通知的地址
     * @author Zhaojiepeng<zhaojiepeng@suxuantech.cn> 2018年6月22日 13:14:38
     */
    public function payapi(){
        $input  = input("");
        $data   = htmlspecialchars_decode($input['jsonRequestData']);   //转义
        $data   = json_decode($data,true);                              //转数组
        $data   = $data['noticeData']['merchantPara'];
        $str    = explode('|',$data);
        $id     = $str[0];          //订单号
        $amount = $str[1];          //金额
        $order  = M('order')->where(['order_id'=>$id])->find();
        if(!empty($order)){
            update_pay_status($order['order_sn']);  //修改订单状态
        }
        if(!empty($amount) && !empty($id)){
            $res['order_id'] = $id;
            $res['createtime'] = date('YmdHis');
            $res['user_id'] = session("user")['id'];
            $res['account'] = $amount;
            Db::name('PaymentLog')->insert($res);
        }
        
    }
    
    /**
     * 方法描述：成功签约结果通知地址
     * @author Zhaojiepeng<zhaojiepeng@suxuantech.cn> 2018年6月22日 16:29:38 
     */
    public function signNotice(){
        
    }
    
}